
Ruby - Feature #15894

Remove support for IA64

06/01/2019 06:08 AM - ioquatix (Samuel Williams)

Status: Closed   

Priority: Normal   

Assignee: ioquatix (Samuel Williams)   

Target version: 2.7   

Description

There are many #ifdef __ia64 in Ruby code base. At one point it must have been supported.

But as an architecture, it's EOL (Jan 30th 2019). Last CPU was released in 2017.

I can't even buy 2nd hand CPU for testing.

So, I propose we remove support for IA64.

The main motivation for me personally is I want to simplify and improve fiber implementation. But it's impossible for me to test IA64

architecture.

Related issues:

Related to Ruby - Feature #18491: Drop support for IBM AIX and HP UX Closed

History

#1 - 06/01/2019 07:09 AM - ioquatix (Samuel Williams)

@takano32 (Mitsuhiro TAKANO) can you please let me know how you feel about this?

#2 - 06/07/2019 11:44 PM - ioquatix (Samuel Williams)

Here is a brief overview of one possible plan:

We remove IA64 from 2.7.

We retain IA64 in 2.6 which has a theoretical EOL date in 2022. That's 5 years past the last date of the CPU being manufactured, and 3 years

past the architecture EOL (2019).

#3 - 06/19/2019 05:51 AM - matz (Yukihiro Matsumoto)

Sounds reasonable.

Matz.

#4 - 06/19/2019 06:44 AM - ioquatix (Samuel Williams)

- Assignee set to ioquatix (Samuel Williams)

- Target version set to 2.7

#5 - 06/19/2019 09:16 AM - ioquatix (Samuel Williams)

Here is PR: https://github.com/ruby/ruby/pull/2241

#6 - 06/19/2019 11:34 AM - ioquatix (Samuel Williams)

- Status changed from Open to Closed

Okay, it was merged.

#7 - 01/17/2022 12:33 PM - ngoto (Naohisa Goto)

- Related to Feature #18491: Drop support for IBM AIX and HP UX added
